Bug 1255854 - Unable to connect to Gnome using VNC [NEEDINFO]
Unable to connect to Gnome using VNC
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: mesa (Show other bugs)
7.1
All All
high Severity high
: rc
: ---
Assigned To: Dave Airlie
Desktop QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-21 13:21 EDT by Joe Wright
Modified: 2016-12-01 11:44 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-01 11:44:02 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
airlied: needinfo? (jwright)


Attachments (Terms of Use)

  None (edit)
Description Joe Wright 2015-08-21 13:21:02 EDT
Description of problem:
- unable to connect to RHEL 7.1 systems running Gnome using VNC
- VNC connecting to KDE works fine

Version-Release number of selected component (if applicable):
- 7.1GA and above

How reproducible:
100%

Steps to Reproduce:
1. Install and configure Gnome, vncserver, xorg
2. Configure VNC for Gnome per https://access.redhat.com/solutions/966063 
3. Attempt to connect using vncclient on anything but RHEL 7

Actual results:
- Connection fails

Expected results:
- Successful connection

Additional info:
- Appears to be a GLX issue.
Comment 1 Joe Wright 2015-08-21 13:22:42 EDT
[root@s0140865 /]# gnome-session

** (gnome-session-check-accelerated:4820): WARNING **: Couldn't connect to accessibility bus: Failed to connect to socket /tmp/dbus-XCuG5Fk                                3dF: Connection refused
gnome-session-is-accelerated: No composite extension.
gnome-session-check-accelerated: Helper exited with code 256

** (gnome-session-check-accelerated:4822): WARNING **: Couldn't connect to accessibility bus: Failed to connect to socket /tmp/dbus-XCuG5Fk                                3dF: Connection refused
gnome-session-is-accelerated: No composite extension.
gnome-session-check-accelerated: Helper exited with code 256

** (process:4815): WARNING **: software acceleration check failed: Child process exited with code 1

** (gnome-session:4815): WARNING **: Couldn't connect to accessibility bus: Failed to connect to socket /tmp/dbus-XCuG5Fk3dF: Connection refused
Comment 2 Dave Airlie 2015-11-09 17:41:58 EST
does this still happen with RHEL7.2?

I'm not sure why Xvnc doesn't support composite here, it should.

Note You need to log in before you can comment on or make changes to this bug.